Communications Campaigns
List Campaigns
GET
/
campaigns
cURL
curl --request GET \
--url https://api-sandbox.y.uno/v1/campaigns \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/campaigns"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Declined Payment Recovery - Colombia",
"country": "CO",
"channel": "WHATSAPP_MESSAGE",
"status": "ACTIVE",
"duration": {
"start_at": "2025-07-01T00:00:00Z",
"end_at": "2026-07-01T00:00:00Z"
},
"created_at": "2025-07-01T12:00:00Z",
"updated_at": "2025-07-01T12:00:00Z"
}
],
"meta": {
"total": 5,
"limit": 10,
"offset": 0
}
}Lists campaigns with optional filtering and pagination.
Query Parameters
Results per page (1-100)
Number of results to skip
Filter by start date (ISO 8601)
Filter by end date (ISO 8601)
Was this page helpful?
⌘I
cURL
